//------------------------------------------------------------------------------------
// IAttributeExchangingObject wrappers
//------------------------------------------------------------------------------------

extern "C" 
{
	void Irr_IAttributeExchangingObject_serializeAttributes(IAttributeExchangingObject* att,IAttributes* out,SAttributeReadWriteOptions* options=0)
	{
		if (att)
			att->serializeAttributes(out,options);
	}

	void Irr_IAttributeExchangingObject_deserializeAttributes(IAttributeExchangingObject* att,IAttributes* in,SAttributeReadWriteOptions* options=0)
	{
		if (att)
			att->serializeAttributes(in,options);
	}

	bool Irr_IAttributeExchangingObject_drop(IAttributeExchangingObject* att)
	{
		if (att)
			return att->drop();
		else return 0;
	}
	
	const c8* Irr_IAttributeExchangingObject_getDebugName(IAttributeExchangingObject* att)
	{
		if (att)
			return att->getDebugName();
		else return "";
	}
	
	void Irr_IAttributeExchangingObject_grab(IAttributeExchangingObject* att)
	{
		if (att)
			att->grab();
	}
}

